Subject: Re: [PATCH] ppc32: 8xx board-specific platform stuff for fs_enet

From: Marcelo Tosatti <[email-masked]>
Date: Wed, 23 Nov 2005 07:11:07 -0200

On Wed, Nov 23, 2005 at 01:40:38PM +1100, Paul Mackerras wrote:
> Marcelo Tosatti writes:
> 
> > Paul, you're OK with the following definitions on asm-ppc/io.h?
> > 
> > +/* access ports */
> > +#define setbits32(_addr, _v) out_be32(&(_addr), in_be32(&(_addr)) |  (_v))
> > +#define clrbits32(_addr, _v) out_be32(&(_addr), in_be32(&(_addr)) & ~(_v))
> > +
> > +#define setbits16(_addr, _v) out_be16(&(_addr), in_be16(&(_addr)) |  (_v))
> > +#define clrbits16(_addr, _v) out_be16(&(_addr), in_be16(&(_addr)) & ~(_v))
> 
> I guess so... how many drivers need these things?

Many.

Check for instance git-diff-tree -p e37b0c9670fed2264661ade1beb5c228dec29c96